package com.persagy.apm.diagnose.service.schedule;

import com.persagy.apm.diagnose.service.ComputeIndicatorDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * @author king
 */
@Slf4j
@Service
public class SendIndicatorData {

    @Value("${eyd.send.indicator.data.enabel:false}")
    private boolean enable;


    @Autowired
    private ComputeIndicatorDataService computeIndicatorDataService;

    @Scheduled(cron="${eyd.send.indicator.data.cron:*/5 * * * * ?}")
    public void computeIndicatorData() throws Exception {
    	if (!enable) {
    	    //指标计算未开启
    	    return;
		}
        log.error("【发送监测指标数据线程】:发送指标数据开始.......");
        computeIndicatorDataService.sendIndicatorData();
        log.error("【发送监测指标数据线程】:发送指标数据结束.......");
    }
}
