package com.persagy.apm.diagnose.utils;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.apm.diagnose.feign.AlarmResult;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author admin
 * @version 1.0.0
 * @ClassName DmpResultUtil.java
 * @Description TODO
 * @createTime 2021年09月23日 10:38:00
 */
public class AlarmResultUtil {

    public static <T> List<T> getRecords(AlarmResult<JSONObject> result, Class<T> clazz) {
        JSONObject content = result.getContent();
        if (content == null || content.isEmpty()) {
            return new ArrayList<T>();
        }
//        JSONArray records = (JSONArray) content.getOrDefault("records", new JSONArray());
        JSONArray records = content.getJSONArray("records");
        if (records == null || records.isEmpty()) {
            return new ArrayList<T>();
        }
        return records.toJavaList(clazz);
    }

    public static <T> List<T> getJSONArrayRecords(AlarmResult<JSONArray> result, Class<T> clazz) {
        JSONArray contentArray = result.getContent();
        if (CollectionUtils.isEmpty(contentArray)) {
            return new ArrayList<T>();
        }
        return contentArray.toJavaList(clazz);
    }
}
